<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 04월 01일 월요일 오전 10시 48분 / 맑음, 13.7, 일교차 주의, 18, 3, 0%, 0%, 3.3ms / 나쁨, 58, 20

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 관리자 > 프로그램 > 피리 카페 관리 > 설치하기 실행
=====================================================================


*/

/*

## 01 :
 * 설치_01____상수__변수
 * 설치_02____배열__기본값
 * 설치_03____필요한__라이브러리__파일__첨부

## 02 :
 * 설치_04____QUERY_STRING__형변환
 * 설치_05____상수__변수__배열
 * 설치_06____테이블__생성하기

## 03 :
 * 설치_07____기본_ROW__입력하기

## 04 :
 * 설치_07____프로그램_저장__준비

## __install.update.php
 * 설치_08____개별__프로그램__처리

## 05 :
 * 설치_09____회원__정보__저장하기

## 06 :
 * 설치_10____프로그램__저장하기

## 07 :
 * 설치_11____IP__저장하기

## 08 :
 * 설치_12____테이블_생성_기록__저장하기

## 09 :
 * 설치_13____정보_수정하기

*/

  include_once('./_common.php' );

  define('_INSTALL_', $sub_menu);

  auth_check($auth[$sub_menu], 'w');

  include_once( piree__path($sub_menu, 'p770099.config.var.php') );

  $get__p770099 = 1;

  $prog_config_page = 1;

  include_once( piree__path($sub_menu, 'config') );

  $prog_config_page = 1;

  include_once( piree__path($piree_prog_a[770000]['num'], 'config', 0) );

  $is_table_drop = $_POST['is_table_drop'];

  $is_table_drop = (int)$is_table_drop;

  $file_path = piree__path($piree_prog_a[770000]['num'], '__schema.sql', 0);

  piree_program_create_table($file_path, $piree_prog_a[770000]['num']);

  $file_path = piree__path($piree_prog_a[770099]['num'], '__schema.sql', 0);

  piree_program_create_table($file_path, $piree_prog_a[770099]['num']);

  $file_path = piree__path($sub_menu, '__schema.sql');

  piree_program_create_table($file_path, $sub_menu);

  include_once( piree__admin_path($sub_menu, 'region.insert.inc.php') );

  include_once( piree__admin_path($piree_prog_a[770099]['num'], 'fd_add__piree.inc.php', 0) );

  $move_url = "./__config.form.php";

  goto_url($move_url);
  EXIT;

?>